$ErrorActionPreference = 'Stop';

$packageName = 'MobaXTerm'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://mobaxterm.mobatek.net/MobaXterm_Setup_9.3.msi'
$url64      = 'http://mobaxterm.mobatek.net/MobaXterm_Setup_9.3.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'MobaXTerm*'

  checksum      = 'ef52f689462cc916dc6e47dbd69a77870eddbdfd9c23a5a7d1d2ab364b5c579a'
  checksumType  = 'sha256'
  checksum64    = 'ef52f689462cc916dc6e47dbd69a77870eddbdfd9c23a5a7d1d2ab364b5c579a'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
